### Function

# RB user_data_dir

#### Declaration [src]

    const char*
    rb_user_data_dir (
      void
    )

#### Description [src]

This will create the rhythmbox user data directory, using the XDG Base Directory specification. If none of the XDG environment variables are set, this will be ~/.local/share/rhythmbox.

#### Return value

Type: `const char*`

String holding the path to the rhythmbox user data directory, or NULL if the directory does not exist and cannot be created.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.